﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using InputPromptCursorExampleWP8.Resources;
using Telerik.Windows.Controls;

namespace InputPromptCursorExampleWP8
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            ControlTemplate template = this.Resources["InputPromptTemplate"] as ControlTemplate;
            List<string> buttonsContent = new List<string>() { "ok", "cancel" };
            await RadInputPrompt.ShowAsync(template, "Title", buttonsContent);
        }

        private void OnTextBoxLoaded(object sender, RoutedEventArgs e)
        {
            RadTextBox textBox = (sender as RadTextBox);
            textBox.Text = "hello";
            textBox.SelectAll();
        }
    }
}